/**
 * @desc NIFI常量
 * @date 2023-07-10
 */
// 表头
const tableColumnData = [
  {
    label: 'key',
    prop: 'nifiKey'
  },
  {
    label: 'value',
    prop: 'nifiValue'
  },
  {
    label: '显示值',
    prop: 'showValue'
  },
  {
    label: '描述',
    prop: 'description'
  },
  {
    label: '类型',
    prop: 'type'
  }
]

// 基本信息内容
const formRow = [
  {
    elCol: [{
      label: 'key',
      prop: 'nifiKey',
      tag: 'elInput',
      span: 24
    }]
  },
  {
    elCol: [{
      label: 'value',
      prop: 'nifiValue',
      tag: 'elInput',
      span: 24
    }]
  },
  {
    elCol: [{
      label: '显示值',
      prop: 'showValue',
      tag: 'elInput',
      span: 24
    }]
  },
  {
    elCol: [{
      label: '描述',
      prop: 'description',
      tag: 'elInput',
      span: 24
    }]
  },
  {
    elCol: [{
      label: '类型',
      prop: 'type',
      tag: 'elInput',
      span: 24
    }]
  },
]

const basicsRules = {
  nifiKey: [{
    required: true,
    message: '请输入key',
    trigger: 'blur'
  }],
  nifiValue: [{
    required: true,
    message: '请输入value',
    trigger: 'blur'
  }],
  showValue: [{
    required: true,
    message: '请输入显示值',
    trigger: 'blur'
  }],
  description: [{
    required: true,
    message: '请输入描述',
    trigger: 'blur'
  }],
  type: [{
    required: true,
    message: '请输入类型',
    trigger: 'blur'
  }],
}

// 查看
const formRowShow = [
  {
    elCol: [{
      label: 'key',
      prop: 'nifiKey',
      tag: 'elLook',
      span: 24
    }]
  },
  {
    elCol: [{
      label: 'value',
      prop: 'nifiValue',
      tag: 'elLook',
      span: 24
    }]
  },
  {
    elCol: [{
      label: '显示值',
      prop: 'showValue',
      tag: 'elLook',
      span: 24
    }]
  },
  {
    elCol: [{
      label: '描述',
      prop: 'description',
      tag: 'elLook',
      span: 24
    }]
  },
  {
    elCol: [{
      label: '类型',
      prop: 'type',
      tag: 'elLook',
      span: 24
    }]
  },
]
export default {
  tableColumnData,
  formRow,
  basicsRules,
  formRowShow,
}
